Skip to main content
POST
Create VM

Authorizations

k8s-gate-session
string
cookie
required

The session cookie issued by the OIDC sign-in flow. This is what a browser uses.

Path Parameters

name
string
required

The supervisor's name, as registered under Administration → Supervisors.

Body

application/json
adminPassword
string
cloudInitTemplateId
string
cloudInitVariables
object | null
dataDisks
object[] | null
diskSize
string
enableWinRM
boolean | null
ephemeral
boolean
hypervEnlightenments
boolean | null
identityNetwork
boolean
identityPool
string
imageId
string
installGuestAgent
boolean | null
instanceType
string
labels
object | null
name
string
namespace
string
networkMode
string
password
string
rootDiskSize
string
rootPartitions
object[] | null
shipGuestLogs
boolean
sshKeys
string[] | null
startupCommands
string[] | null
storageClass
string
sysprepTemplateId
string
sysprepVariables
object | null
unattended
boolean
virtioDrivers
boolean
windowsSetupScript
string

Response

object | null

Created.

{key}
string